package com.steerinfo.baseinfo.meterbasepredictiondiff.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

public class MeterBasePredictionDiff implements IBasePO<String> {
    /**
     * 预报超差编号(DIFF_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报超差编号",required=true)
    private String diffNo;

    /**
     * 超差方式编号(DIFF_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="超差方式编号",required=true)
    private String diffTypeNo;

    /**
     * 超差方式名称(DIFF_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="超差方式名称",required=true)
    private String diffTypeName;

    /**
     * 计量类型编号(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号",required=true)
    private String meterTypeNo;

    /**
     * 计量类型名称(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称",required=true)
    private String meterTypeName;

    /**
     * 比例值(RATE_VALUE,DECIMAL,7)
     */
    @ApiModelProperty(value="比例值",required=true)
    private BigDecimal rateValue;

    /**
     * 固重值(FIXED_WEIGHT_VALUE,DECIMAL,6)
     */
    @ApiModelProperty(value="固重值",required=true)
    private Integer fixedWeightValue;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.diffNo;
    }

    @Override
    public void setId(String diffNo) {
        this.diffNo = diffNo == null ? null : diffNo.trim();
    }

    public String getDiffNo() {
        return diffNo;
    }

    public void setDiffNo(String diffNo) {
        this.diffNo = diffNo == null ? null : diffNo.trim();
    }

    public String getDiffTypeNo() {
        return diffTypeNo;
    }

    public void setDiffTypeNo(String diffTypeNo) {
        this.diffTypeNo = diffTypeNo == null ? null : diffTypeNo.trim();
    }

    public String getDiffTypeName() {
        return diffTypeName;
    }

    public void setDiffTypeName(String diffTypeName) {
        this.diffTypeName = diffTypeName == null ? null : diffTypeName.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public BigDecimal getRateValue() {
        return rateValue;
    }

    public void setRateValue(BigDecimal rateValue) {
        this.rateValue = rateValue;
    }

    public Integer getFixedWeightValue() {
        return fixedWeightValue;
    }

    public void setFixedWeightValue(Integer fixedWeightValue) {
        this.fixedWeightValue = fixedWeightValue;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", diffNo=").append(diffNo);
        sb.append(", diffTypeNo=").append(diffTypeNo);
        sb.append(", diffTypeName=").append(diffTypeName);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", rateValue=").append(rateValue);
        sb.append(", fixedWeightValue=").append(fixedWeightValue);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}